For the complete documentation index, see llms.txt. This page is also available as Markdown.

Purchased TIDs

The Purchased TIDs endpoints manage a pool of pre-purchased Terminal IDs (TIDs) associated with a merchant entity. TIDs can be inserted into the pool, listed, reserved for assignment, and have their allocation status updated.

API Reference

Insert TIDs into Pool

Insert TIDs into pool

put

Insert an array of purchased TIDs into the TID pool. Its assumed that purchased TIDs are checked for uniqueness in the system. Used by sales/operations.

Path parameters
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Query parameters
orderReferencestringOptional

Optional reference

rangestring · min: 1 · max: 100Optional

Range name to allocate the TID against PURCHASED scheme.

Bodystring[]
string[] · min: 1Optional

An array of unique TIDs

Example: 1004631982
Responses
200

TIDs inserted into pool

No content

put
/entities/{entityUid}/purchasedTid

No content


List TIDs in Pool

List TIDs in the pool

get

Get list of TIDs from the TID pool.

Path parameters
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Query parameters
statusstring · enumOptional

Allocation status of the purchased TID.

Possible values:
pageNumberinteger · min: 1Optional

Page number for records.

Default: 1Example: 1
pageSizeinteger · min: 1 · max: 100Optional

Page size for returned records.

Default: 50Example: 50
rangestring · min: 1 · max: 100Optional

Range name to allocate the TID against PURCHASED scheme.

orderBystringOptional

The field to order by. Valid fields are: createdDate, modifiedDate, status

Responses
200

Purchased TIDs results matching criteria

application/json
get
/entities/{entityUid}/purchasedTid

Reserve TIDs from Pool

Reserved TIDs are held for assignment to a specific terminal. Ensure reserved TIDs are assigned promptly to avoid pool exhaustion.

Reserve TIDs from the pool

get

Reserve 'çount' number of TIDs from the TID pool. If 'count' is not available 400 is returned.

Path parameters
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Query parameters
countinteger · min: 1Required

Count of TIDs required from pool.

rangestring · min: 1 · max: 100Optional

Range name to allocate the TID against PURCHASED scheme.

durationinteger · min: 1 · max: 12Optional

Duration in hours to reserve the TID

Default: 1
orderReferencestringOptional

Optional reference

Responses
200

Purchased TIDs results matching criteria

application/json
string[] · min: 1Optional

An array of unique TIDs

Example: 1004631982
get
/entities/{entityUid}/purchasedTid/reserve

Update TID Allocation Status

Patch status of TIDs in the pool

patch

Change allocation status of purchased TID to required status

Path parameters
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Query parameters
statusstring · enumRequired

Allocation status of the purchased TID.

Possible values:
orderReferencestringOptional

Optional reference

rangestring · min: 1 · max: 100Optional

Range name to allocate the TID against PURCHASED scheme.

Bodystring[]
string[] · min: 1Optional

An array of unique TIDs

Example: 1004631982
Responses
patch
/entities/{entityUid}/purchasedTid

No content

Was this helpful?